Page MenuHomePhabricator

Add "Did you know..." and "On this day" sections from desktop main page to mobile main page
Closed, DeclinedPublic

Description

Outcome from 2018 SEO project with Go Fish Digital:

The main pages of our site are surprisingly good for our search rankings because of how much they link to other pages. This means pages that are featured on the main page receive a boost in search ranking even if people don't really go to the main page, which is very fitting! However, search engines like Google are increasingly moving to mobile-first indexing, and many of the links from the main page are stripped on mobile, which means that those pages that are featured on the main page.

Content has been stripped from the main page on mobile because it decreases page weight and improves performance. Page weight and performance are taken in to account with search rankings, but so are the links. Of the content that is missing, the "Did you know..." and "On this day" sections of the page are the most important, so they should be added back in.

Event Timeline

Deskana created this task.Jul 6 2018, 12:58 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 6 2018, 12:58 PM
Deskana triaged this task as Normal priority.Jul 6 2018, 12:58 PM
Deskana moved this task from Tag to 2018 SEO project outcomes on the SEO board.
Krenair renamed this task from Add "Did you know..." and "On this day" sections from desktop main page to mobile main page to Stop stripping main page content on mobile.Jul 6 2018, 5:28 PM
Krenair added a subscriber: Krenair.

The idea of stripping content that is present in the desktop version, and other cases where the mobile version lacks feature parity, should be eliminated.

Jdlrobson added a subscriber: Jdlrobson.

I'm not sure if this should be merged into T32405. Bad news is I've been trying to do this for the last six years without any real progress :/

Jdlrobson renamed this task from Stop stripping main page content on mobile to Stop stripping main page content on mobile (SEO).Jul 6 2018, 9:19 PM
Deskana renamed this task from Stop stripping main page content on mobile (SEO) to Add "Did you know..." and "On this day" sections from desktop main page to mobile main page.Jul 9 2018, 9:41 AM

The idea of stripping content that is present in the desktop version, and other cases where the mobile version lacks feature parity, should be eliminated.

Maybe. But, this task isn't about the product bigger issue of whether content should or should not be stripped, it's about the SEO issues with two specific sections, so let's not make the task bigger, especially when T32405 exists for that.

Jdlrobson moved this task from Needs triage to Triaged on the Mobile board.Jul 10 2018, 9:03 PM
cscott added a subscriber: cscott.Jul 19 2018, 12:44 PM

I agree content shouldn't be stripped. But AFAIK google isn't indexing the mobile version of our site, they are using (unstripped) Parsoid content directly. So this should have no effect on SEO for google, at least.

As mentioned by CSCott, Google indexes Wikimedia wikis based on Parsoid content, which more closely matches the desktop site. As such, this is a non-issue from WMF perspective. However, there are is at least one other flaw in this SEO advice, which would also apply in the context of third-party wikis and/or non-Google search engines.

When a search engine discovers an m-dot url and decides to index it, it will also discover the canonical url in the <head> which it must also index. It is compatible with web standards and how search engines behave, to have partial rendering on non-canonical urls.

For example, a website could serve a lightweight experience that navigates through a page by section on separate urls like a /view/intro/Page_title, /view/section-1/Page_title, /view/references/Page_title. As far as I can tell, the idea that all content should be available on all non-canonical urls is invalid and not based on facts. As such I'd recommend declining this task or merging it into a task with similar outcome with a motive besides SEO.

I don't have anything to add to what @Krinkle says... that's my understanding too.

This needs to be fixed on wiki as that's where the mobile formatting occurs.

Fixing this really rests with editors NOT the WMF. It's not our decision. Editors opt into the experience to hide these on mobiles (although note some communities don't e.g. Russian (https://ru.m.wikipedia.org/wiki/%D0%97%D0%B0%D0%B3%D0%BB%D0%B0%D0%B2%D0%BD%D0%B0%D1%8F_%D1%81%D1%82%D1%80%D0%B0%D0%BD%D0%B8%D1%86%D0%B0)

Is it possible to verify if Russian main page benefits from better SEO than wiki's that don't do this?

I suggest if any action is taken from this recommendation it is to add a note to all main page talk pages about this recommendation and how editors should be updating their templates to not special case the main page.

This has nothing to do with MobileFrontend or my team so I'm removing the associated tags.

Krinkle closed this task as Declined.EditedDec 3 2018, 3:11 AM

Jon answered the "how" of the proposed change of adding DYK information to mobile, which is that it isn't in our hands to decide. It's an editorial choice.

In the comment above we also showed that the "why" in terms of SEO, is a non-issue both for WMF, third-parties and pain core. It appears this advice was based on a misunderstanding or dated interpretation of web standards and how search engines operate. As such, declining the proposed change.